diff --git a/buglist b/buglist
index 214154c..6a2ccd5 100644
--- a/buglist
+++ b/buglist
@@ -14,6 +14,16 @@ nonextend 60077:
 =========================================================================
 bug 7142: exp^log(x) Cannot take first of an empty list
 
+The error apparently comes from EXPR where the implementation is
+  x**y == exp(y * log(x))
+
+so exp^log(x) is computed as
+ 
+  exp(log(x) * log(exp))
+
+which should be ok, but then the system handles log exp and tries to
+simplify it to the identity map, and not finding the argument.
+
 (3) -> exp^log(x)
 
    >> System error:
diff --git a/changelog b/changelog
index 2bc9b8d..c6d7e0e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140613 tpd src/axiom-website/patches.html 20140613.06.tpd.patch
+20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.05.tpd.patch
 20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f6464a4..eb95722 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4430,6 +4430,8 @@ books/bookvol4,vol10.3 What is the purpose of the HACKPI domain?
 buglist 7142 exp^log(x) Cannot take first of an empty list update
 <a href="patches/20140613.05.tpd.patch">20140613.05.tpd.patch</a>
 buglist 7142 exp^log(x) Cannot take first of an empty list update
+<a href="patches/20140613.06.tpd.patch">20140613.06.tpd.patch</a>
+buglist 7142 exp^log(x) Cannot take first of an empty list update
  </body>
 </html>
 
